## GstTaskPool GstTaskPool |

## Functions

void | (*GstTaskPoolFunction) ()
GstTaskPool * | gst_task_pool_new ()
void | gst_task_pool_prepare ()
gpointer | gst_task_pool_push ()
void | gst_task_pool_join ()
void | gst_task_pool_cleanup ()

## Types and Values

struct | GstTaskPool
struct | GstTaskPoolClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstTaskPool

## Includes

    #include <gst/gst.h>

## Description

## Functions

### GstTaskPoolFunction ()

    void
    (*GstTaskPoolFunction) (void *user_data);

### gst_task_pool_new ()

    GstTaskPool *
    gst_task_pool_new (void);

### gst_task_pool_prepare ()

    void
    gst_task_pool_prepare (GstTaskPool *pool,
                           GError **error);

### gst_task_pool_push ()

    gpointer
    gst_task_pool_push (GstTaskPool *pool,
                        GstTaskPoolFunction func,
                        gpointer user_data,
                        GError **error);

### gst_task_pool_join ()

    void
    gst_task_pool_join (GstTaskPool *pool,
                        gpointer id);

### gst_task_pool_cleanup ()

    void
    gst_task_pool_cleanup (GstTaskPool *pool);

## Types and Values

### struct GstTaskPool

    struct GstTaskPool;

### struct GstTaskPoolClass

    struct GstTaskPoolClass {
      GstObjectClass parent_class;

      void      (*prepare)  (GstTaskPool *pool, GError **error);
      void      (*cleanup)  (GstTaskPool *pool);

      gpointer  (*push)     (GstTaskPool *pool, GstTaskPoolFunction func,
                             gpointer user_data, GError **error);
      void      (*join)     (GstTaskPool *pool, gpointer id);
    };